--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.76, 0.21, 0.021, "Numpad 0: Daf XF: Info Aus");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.76, 0.21, 0.021, "Numpad 0: Daf XF: Info An");
		renderText(0.72, 0.86, 0.025, "DAF XF Info");			
                renderText(0.72, 0.81, 0.02, "Numpad 1: Blinker links");
		renderText(0.72, 0.79, 0.02, "Numpad 2: Warnblinker");
		renderText(0.72, 0.77, 0.02, "Numpad 3: Blinker rechts");		
		renderText(0.72, 0.75, 0.02, "Numpad 4: Bullbar");
		renderText(0.72, 0.73, 0.02, "Numpad 5: Chrome");
		renderText(0.72, 0.71, 0.02, "Numpad 7: RULS");
		renderText(0.72, 0.69, 0.02, "Numpad 8: Biglights");	
		renderText(0.72, 0.67, 0.02, "Numpad 9: Chrome2");
		renderText(0.72, 0.65, 0.02, "Taste l: Flipje");
		renderText(0.72, 0.63, 0.02, "Taste 5: Splash guard");
		renderText(0.72, 0.61, 0.02, "Taste k: Windowgrill");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




